Subject: Re: bug#24417: 25.1; Emacs crashes during gc

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Sep 2016 21:43:22 +0300

> From: Sudarshan Gaikaiwari <[email-masked]>
> Date: Mon, 12 Sep 2016 13:00:29 -0500
> Cc: [email-masked]
> 
> I was trying to open my init.el file, I have configured a keyboard shortcut to open it 
> 
> (global-set-key (kbd "S-<f6>") (lambda() (interactive)(find-file "~/.emacs.d/init.el")))

The backtrace seems to indicate some catastrophic problem in the
interval tree we use to manage text properties, so I doubt the above
was the root cause.

> I can try working with an unoptimized build, but these crashes are infrequent - once a week, so it might take a
> while to get the dump with the unoptimized build.

Please do, the additional reliable information I expect us to get from
an unoptimized build is very valuable.

Thanks.